//
//  I2C_1.c
//

#include <xc.h>
#include "i2c_1.h"

//-----------------------------------------------------------------------
// oXAChɂȂ܂őҋ@
//-----------------------------------------------------------------------
void I2C_IdleCheck()
{
    // ACKEN RCEN PEN RSEN SEN RBF TBF S@O 
     while (( I2C_CON & 0x1F ) | (I2C_STAT & 0x03)) ;
}

//-----------------------------------------------------------------------
//  荞݃tONA
//-----------------------------------------------------------------------
void __attribute__((interrupt, no_auto_psv)) _MI2C1Interrupt(void)
{
     I2C_MIF = 0 ;                                // tONA
}

//-----------------------------------------------------------------------
//  I2C}X^[ݒ
//-----------------------------------------------------------------------
void InitI2C_Master()
{
     I2C_CON = 0x8000;              // I2C ON /X[[gON
     I2C_BRG = 0x13;                // FCY2 MHz I2CʐMx100KHz
     I2C_MIE = 1 ;                  // I2C}X^[݂
     I2C_MIF = 0 ;                  // I2C}X^[݃tONA
     I2C_MIP = 3 ;                  // I2C}X^[ݗD惌x(0-7)ݒ肷
}

//-----------------------------------------------------------------------
// X^[g/X^[g@RfBV𔭍s                            
//    addr : I2C Address                                     
//    sr   : 0: Start   1: Restart       
//-----------------------------------------------------------------------
void I2C_Start(int addr,int sr)              
{
     I2C_IdleCheck();                       // ACh`FbN
     I2C_CON_SEN = 1;                       // X^[go
     while(I2C_CON_SEN) ;                   // X^[gI҂
     
     I2C_Send((addr << 1 ) | sr);
}

//-----------------------------------------------------------------------
// XgbvRfBV𔭍s                            
//-----------------------------------------------------------------------
void I2C_Stop()
{
     I2C_IdleCheck();
     I2C_CON_PEN = 1;
     while(I2C_CON_PEN);
}

//-----------------------------------------------------------------------
// PoCgf[^̑M
//       uint8_t dt:Mf[^
//-----------------------------------------------------------------------
void I2C_Send(uint8_t dt)               
{
    I2C_IdleCheck();                    // ACh`FbN
    I2C_TRN = dt;                       // f[^Zbg
    while(I2C_STAT_TBF);                // obt@[OɂȂ̂҂
    while(I2C_STAT_ACKSTAT);            // 肩ACKԓ҂
}

//-----------------------------------------------------------------------
// PoCgf[^̎M
//      int ack: ACK or Nack
//      ߂lFf[^
//-----------------------------------------------------------------------
uint8_t  I2C_Receive(uint8_t  ack)
{
     I2C_IdleCheck();
     I2C_CON_ACKDT = ack;         // ACKf[^̃Zbg
     I2C_CON_RCEN = 1;            // M
     // M҂
     while( (I2C_STAT_RBF != 1) | (I2C_CON_RCEN != 0) ) ;
     I2C_CON_ACKEN = 1;           // ACKf[^Ԃ
     return I2C_RCV ;
}

//-----------------------------------------------------------------------
//  X[ũfoCXw̃f[^ǂݍޏ                       
//                                                                            
//    slv_adrs : X[ũfoCXAhXw肵܂(7bitŎw)             
//    reg_adrs : Ǐof[^̃WX^[AhXw肵܂                  
//               AIɓǏoꍇ́AǏoWX^[̐擪AhXw     
//    *data    : Ǐof[^̊i[                             
//    kosu     : Ǐof[^̃oCg                             
//-----------------------------------------------------------------------
void I2C_Read(uint8_t addr, uint8_t adrs_pt, uint8_t *data, uint8_t len)
{
    int  ack;

    I2C_Start(addr,0);                  // X^[gRfBV𔭍s
    I2C_Send(adrs_pt);                  // WX^AhXw
    I2C_Start(addr,1);                  // X^[gRfBV𔭍s
    while(len --) 
    {
        ack = ACK;
        if (len == 0) ack = NOACK ;
        *data = I2C_Receive(ack);       // wǂݏo(M)
        data++ ;
    }
    I2C_Stop() ;                        // XgbvRfBV𔭍s
}

